aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/.travis/bin
diff options
context:
space:
mode:
authorEgor Tensin <Egor.Tensin@gmail.com>2020-03-11 17:13:17 +0300
committerEgor Tensin <Egor.Tensin@gmail.com>2020-03-11 17:13:17 +0300
commit68d795158f31f349599dfb59e435ca4daf7370bc (patch)
tree7deacbc36476656dbcad8ab766bdcf2ad8f37d0c /.travis/bin
parentTravis: prettier output (diff)
downloadvk-scripts-68d795158f31f349599dfb59e435ca4daf7370bc.tar.gz
vk-scripts-68d795158f31f349599dfb59e435ca4daf7370bc.zip
Travis: restructure .travis/
Diffstat (limited to '.travis/bin')
-rwxr-xr-x.travis/bin/main.sh19
-rwxr-xr-x.travis/bin/mutual_friends.sh23
-rwxr-xr-x.travis/bin/online_sessions.sh58
-rwxr-xr-x.travis/bin/show_status.sh22
-rwxr-xr-x.travis/bin/track_status.sh51
5 files changed, 173 insertions, 0 deletions
diff --git a/.travis/bin/main.sh b/.travis/bin/main.sh
new file mode 100755
index 0000000..bfe2052
--- /dev/null
+++ b/.travis/bin/main.sh
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+
+# Copyright (c) 2019 Egor Tensin <Egor.Tensin@gmail.com>
+# This file is part of the "VK scripts" project.
+# For details, see https://github.com/egor-tensin/vk-scripts.
+# Distributed under the MIT License.
+
+set -o errexit -o nounset -o pipefail
+
+script_dir="$( dirname -- "${BASH_SOURCE[0]}" )"
+script_dir="$( cd -- "$script_dir" && pwd )"
+readonly script_dir
+
+"$script_dir/mutual_friends.sh"
+
+"$script_dir/online_sessions.sh"
+
+"$script_dir/show_status.sh"
+"$script_dir/track_status.sh"
diff --git a/.travis/bin/mutual_friends.sh b/.travis/bin/mutual_friends.sh
new file mode 100755
index 0000000..4a00fb8
--- /dev/null
+++ b/.travis/bin/mutual_friends.sh
@@ -0,0 +1,23 @@
+#!/usr/bin/env bash
+
+# Copyright (c) 2019 Egor Tensin <Egor.Tensin@gmail.com>
+# This file is part of the "VK scripts" project.
+# For details, see https://github.com/egor-tensin/vk-scripts.
+# Distributed under the MIT License.
+
+set -o errexit -o nounset -o pipefail
+
+script_dir="$( dirname -- "${BASH_SOURCE[0]}" )"
+script_dir="$( cd -- "$script_dir" && pwd )"
+readonly script_dir
+
+test_users() {
+ "$script_dir/../lib/test.sh" bin.mutual_friends --format csv "$@"
+ "$script_dir/../lib/test.sh" bin.mutual_friends --format json "$@"
+}
+
+main() {
+ test_users kreed58 maxkorzh_official
+}
+
+main
diff --git a/.travis/bin/online_sessions.sh b/.travis/bin/online_sessions.sh
new file mode 100755
index 0000000..2534735
--- /dev/null
+++ b/.travis/bin/online_sessions.sh
@@ -0,0 +1,58 @@
+#!/usr/bin/env bash
+
+# Copyright (c) 2019 Egor Tensin <Egor.Tensin@gmail.com>
+# This file is part of the "VK scripts" project.
+# For details, see https://github.com/egor-tensin/vk-scripts.
+# Distributed under the MIT License.
+
+set -o errexit -o nounset -o pipefail
+
+script_dir="$( dirname -- "${BASH_SOURCE[0]}" )"
+script_dir="$( cd -- "$script_dir" && pwd )"
+readonly script_dir
+
+readonly db_path="$script_dir/../share/test_db.csv"
+
+try_output() {
+ local output_path
+ output_path="$( mktemp --dry-run )"
+
+ local rm_aux_files
+ rm_aux_files="$( printf -- 'rm -f -- %q' "$output_path" )"
+
+ trap "$rm_aux_files" RETURN
+
+ "$script_dir/../lib/test.sh" bin.online_sessions "$@" "$db_path" "$output_path"
+
+ if file --brief --dereference --mime -- "$output_path" | grep --quiet -- 'charset=binary$'; then
+ echo 'Output is a binary file, not going to show that'
+ return 0
+ fi
+
+ echo "Output:"
+ cat "$output_path"
+}
+
+online_sessions() {
+ try_output --group-by user --output-format csv
+ try_output --group-by user --output-format json
+
+ try_output --group-by user --output-format plot
+ try_output --group-by hour --output-format plot
+ try_output --group-by date --output-format plot
+ try_output --group-by weekday --output-format plot
+}
+
+fix_matplotlib() {
+ # Get rid of:
+ # tkinter.TclError: no display name and no $DISPLAY environment variable
+ mkdir -p -- ~/.config/matplotlib
+ echo 'backend: Agg' > ~/.config/matplotlib/matplotlibrc
+}
+
+main() {
+ fix_matplotlib
+ online_sessions
+}
+
+main
diff --git a/.travis/bin/show_status.sh b/.travis/bin/show_status.sh
new file mode 100755
index 0000000..c9f8e26
--- /dev/null
+++ b/.travis/bin/show_status.sh
@@ -0,0 +1,22 @@
+#!/usr/bin/env bash
+
+# Copyright (c) 2019 Egor Tensin <Egor.Tensin@gmail.com>
+# This file is part of the "VK scripts" project.
+# For details, see https://github.com/egor-tensin/vk-scripts.
+# Distributed under the MIT License.
+
+set -o errexit -o nounset -o pipefail
+
+script_dir="$( dirname -- "${BASH_SOURCE[0]}" )"
+script_dir="$( cd -- "$script_dir" && pwd )"
+readonly script_dir
+
+test_users() {
+ "$script_dir/../lib/test.sh" bin.show_status "$@"
+}
+
+main() {
+ test_users egor.tensin
+}
+
+main
diff --git a/.travis/bin/track_status.sh b/.travis/bin/track_status.sh
new file mode 100755
index 0000000..9aedb6b
--- /dev/null
+++ b/.travis/bin/track_status.sh
@@ -0,0 +1,51 @@
+#!/usr/bin/env bash
+
+# Copyright (c) 2019 Egor Tensin <Egor.Tensin@gmail.com>
+# This file is part of the "VK scripts" project.
+# For details, see https://github.com/egor-tensin/vk-scripts.
+# Distributed under the MIT License.
+
+set -o errexit -o nounset -o pipefail
+
+script_dir="$( dirname -- "${BASH_SOURCE[0]}" )"
+script_dir="$( cd -- "$script_dir" && pwd )"
+readonly script_dir
+
+test_users() {
+ local log_path
+ log_path="$( mktemp )"
+ local db_path
+ db_path="$( mktemp --dry-run )"
+
+ local rm_aux_files
+ rm_aux_files="$( printf -- 'rm -f -- %q %q' "$log_path" "$db_path" )"
+ trap "$rm_aux_files" RETURN
+
+ "$script_dir/../lib/test.sh" bin.track_status "$@" --log "$log_path" --format csv --output "$db_path" &
+ local pid="$!"
+
+ sleep 3
+ echo "Log file path: $log_path"
+ echo "DB file path: $db_path"
+ echo "PID: $pid"
+
+ local timeout=10
+ echo "Sleeping for $timeout seconds..."
+ sleep "$timeout"
+
+ echo 'Terminating track_status.py...'
+ kill "$pid"
+ echo 'Waiting for track_status.py to terminate...'
+ wait "$pid" || true
+
+ echo "Log file:"
+ cat "$log_path"
+ echo "DB:"
+ cat "$db_path"
+}
+
+main() {
+ test_users egor.tensin
+}
+
+main "$@"